// 全局过滤器
export function getTime(time) {
  if(time){
    var str = time.substring(0, 19)
    return str
  }
}
export function getLongTime(time) {
  if(time){
    var ts = arguments[0] || 0;
    var t, y, m, d, h, i, s;
    t = ts ? new Date(ts) : new Date();
    y = t.getFullYear();
    m = t.getMonth() + 1;
    d = t.getDate();
    h = t.getHours();
    i = t.getMinutes();
    s = t.getSeconds();
    // 可根据需要在这里定义时间格式
    return y + '-' + (m < 10 ? '0' + m : m) + '-' + (d < 10 ? '0' + d : d) + ' ' + (h < 10 ? '0' + h : h) + ':' + (i < 10 ? '0' + i : i) + ':' + (s < 10 ? '0' + s : s);
  }
}
export function getLongDay(time) {
  if(time){
    var ts = arguments[0] || 0;
    var t, y, m, d, h, i, s;
    t = ts ? new Date(ts) : new Date();
    y = t.getFullYear();
    m = t.getMonth() + 1;
    d = t.getDate();
    h = t.getHours();
    i = t.getMinutes();
    s = t.getSeconds();
    // 可根据需要在这里定义时间格式
    return y + '-' + (m < 10 ? '0' + m : m) + '-' + (d < 10 ? '0' + d : d);
  }
}
export function getRowId(id) {
  if((id+";").indexOf(',')!=-1){
    var str = (id+",").split(",")[0]
  }else {
    var str = id;
  }
  return str
}

//获取交货时间
// 全局过滤器
export function getDeliverDate(time) {
  var str = time.substring(0, 10)
  return str

}

//文字超出出现三个省略号的小点点
export function getEllipsis(order) {
  var str = "<span class='ellipsis'>" + order + "</span>"
  return str
}

// 将null转化为''
export function null2str(data) {
  if (data === null || data === 'null') {
    data = ''
    return data
  } else {
    for (const x in data) {
      if (data[x] === null || data[x] === 'null') { // 如果是null 把直接内容转为 ''
        data[x] = ''
      } else {
        if (Array.isArray(data[x])) { // 是数组遍历数组 递归继续处理
          data[x] = data[x].map(z => {
            console.log(z)
            return null2str(z)
          })
        }
        if (typeof (data[x]) === 'object') { // 是json 递归继续处理
          data[x] = null2str(data[x])
        }
      }
    }
    return data
  }
}
/**
 * @description 格式化金额
 * @param number：要格式化的数字
 * @param decimals：保留几位小数 默认0位
 * @param decPoint：小数点符号 默认.
 * @param thousandsSep：千分位符号 默认为,
 */
export function formatMoney(number, decimals = 2, decPoint = '.', thousandsSep = ',') {
  number = (number + '').replace(/[^0-9+-Ee.]/g, '')
  let n = !isFinite(+number) ? 0 : +number
  let prec = !isFinite(+decimals) ? 0 : Math.abs(decimals)
  let sep = (typeof thousandsSep === 'undefined') ? ',' : thousandsSep
  let dec = (typeof decPoint === 'undefined') ? '.' : decPoint
  let s = ''
  let toFixedFix = function (n, prec) {
    let k = Math.pow(10, prec)
    return '' + Math.ceil(n * k) / k
  }
  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.')
  let re = /(-?\d+)(\d{3})/
  while (re.test(s[0])) {
    s[0] = s[0].replace(re, '$1' + sep + '$2')
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || ''
    s[1] += new Array(prec - s[1].length + 1).join('0')
  }
  return s.join(dec)
}

/**
 * 显示字符串中间加星号
 */
export function plusXing(str, frontLen, endLen) {
  // var len = str.length - frontLen - endLen
  var xing = ''
  for (var i = 0; i < 6; i++) {
    xing += '*'
  }
  return str.substr(0, frontLen) + xing + str.substr(str.length - endLen)
}
